# Uses of Interface
org.eclipse.debug.ui.sourcelookup.ISourceLookupResult

Packages that use ISourceLookupResult
Package
Description
org.eclipse.debug.ui
Provides a generic debugger user interface that clients may customize via standard workbench extension points.

## Uses of ISourceLookupResult in org.eclipse.debug.ui

Methods in org.eclipse.debug.ui that return ISourceLookupResult
Modifier and Type
Method
Description
`static ISourceLookupResult`
DebugUITools.`lookupSource(Object artifact, ISourceLocator locator)`
Performs source lookup on the given artifact and returns the result.
Methods in org.eclipse.debug.ui with parameters of type ISourceLookupResult
Modifier and Type
Method
Description
`static void`
DebugUITools.`displaySource(ISourceLookupResult result, IWorkbenchPage page)`
Displays the given source lookup result in an editor in the given workbench page.